# $Revision: 1.27 $, $Date: 2000/05/15 05:37:02 $
Summary:	Password Database Library
Summary(de):	Passwortdatenbank-Library
Summary(fr):	Bibliothque de la base de donnes des mots de passe
Summary(pl):	Biblioteka Danych o uytkownikach
Summary(tr):	Parola veri taban arivi
Name:		pwdb
Version:	0.61
Release:	1
License:	GPL or BSD
Group:		Base
Group(pl):	Podstawowe
Source0:	ftp://sysadm.sorosis.ro/pub/libpwdb/%{name}-%{version}.tar.gz
Patch0:		pwdb-pld.patch
BuildRequires:	sgml-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pwdb package contains libpwdb, the password database library. Libpwdb
is a library which implements a generic user information database. Libpwdb
was specifically designed to work with Linux's PAM (Pluggable
Authentication Modules). Libpwdb allows configurable access to and
management of security tools like /etc/passwd, /etc/shadow and network
authentication systems including NIS and Radius.

%description -l de
Das pwdb-Paket enthlt libpwdb, die Passwortdatenbank-Library. Libpwdb ist
eine Library, die eine Userinformations-Datenbank implementiert, und mit
Linux-PAM (Pluggable Authentication Modules) zusammenarbeited. Libpwdb
erlaubt konfigurierbaren Zugriff auf /etc/passwd, /etc/shadow und
Netzwerkauthentifizierungssysteme wie NIS und Radius.

%description -l fr
pwdb (Password Database Library) permet un accs configurable  (et la
gestion de) /etc/passwd, /etc/shadow ainsi que des systmes
d'authentification rseau, dont NIS et Radius.

%description -l pl
Pwdb (Password Database Library) zapewnia spjny interfejs dostpu do
zarzdzania bazami danych o uytkownikach. Biblioteka zwalnia aplikacje od
koniecznoci samodzielnego przetwarzania baz danych, oraz daje
administratorowi moliwo wyboru czy dane bd pochodzi z /etc/passwd,
/etc/shadow czy baz sieciowych jak NIS lub RADIUS, poprzez prosty plik
konfiguracyjny.

%description -l tr
pwdb, /etc/passwd ve /etc/shadow dosyalarnn ynetimine ve eriimine, NIS
ve Radius ieren sistemlerde a dorulamasna izin verir.

%package devel
Summary:	PWDB header files
Summary(pl):	Pliki nagwkowe do PWDB
Group:		Development/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description devel
Header files for developing PWDB based applications.

%description devel -l pl
Pliki nagwkowe do PWDB do tworzenia aplikacji opartych o PWDB.

%package static
Summary:	PWDB static libraries
Summary(pl):	Biblioteki statyczne PWDB
Group:		Development/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name}-devel = %{version}

%description static
PWDB static libraries.

%description static -l pl
Biblioteki statyczne PWDB.

%prep
%setup -c -q
%patch -p1

%build
ln -sf defs/pld.defs default.defs

make OPTIMIZE="$RPM_OPT_FLAGS"

(cd doc; make)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc,lib,usr/{include/pwdb,lib}}

make install \
	INCLUDED=$RPM_BUILD_ROOT%{_includedir}/pwdb \
	LIBDIR=$RPM_BUILD_ROOT/lib

install conf/pwdb.conf $RPM_BUILD_ROOT%{_sysconfdir}/pwdb.conf

mv $RPM_BUILD_ROOT/lib/libp*.a	$RPM_BUILD_ROOT%{_libdir}

ln -sf ../../lib/libpwdb.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpwdb.so

strip --strip-unneeded $RPM_BUILD_ROOT/lib/*.so.*.*

gzip -9nf doc/pwdb.txt

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/pwdb.txt.gz doc/html/*.html
%config %verify(not size mtime md5) %{_sysconfdir}/pwdb.conf
%attr(755,root,root) /lib/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/pwdb

%files static
%attr(644,root,root) %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pwdb.spec,v $
Revision 1.27  2000/05/15 05:37:02  kloczek
- updated to 0.61,
- spec adapterized.

Revision 1.26  2000/04/01 11:15:38  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.24  1999/10/04 13:25:12  kloczek
- updated to 0.60.

Revision 1.23  1999/07/28 15:21:42  kloczek
- release 5,
- added BuildRequires: sgml-tools.

Revision 1.22  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jan 24 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.55-3d]
- fixed symlinks ... 

* Sat Jan 23 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.55-2d]
- added Group(pl),  
- fixed static subpackage,
- compressed %doc,
- added pld.defines.

* Sun Oct  4 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.55-1d]
- added devel and static subpackages.

* Thu Oct 01 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.54-8d]
- build against Tornado,
- fixed pl translation,
- added %defattr support,
- minor modifications of the spec file.

* Wed Sep 30 1998 Grzegorz Stanisawski <stangrze@open.net.pl>
- Added Polish translation
- Added BuildRoot
